# 36. Mutación: añadir múltiples "Comments" a las "Notes" seleccionadas

Esta mutación te permite añadir múltiples Comentarios a la Nota seleccionada.

{% hint style="success" %}
La cantidad máxima de Comentarios a guardar es 25.
{% endhint %}

* Un Comentario puede vincularse al Campo mediante su identificador único `fieldUuid` y a la Nota mediante `noteUuid`.
* El contenido del Comentario puede proporcionarse usando el `texto` atributo. Si el contenido necesita varias líneas, el `texto` atributo debe contener una cadena con caracteres de nueva línea `\\n` para separar las líneas. Por ejemplo: `"Primera línea. está aquí\\nSegunda línea está aquí.\\nTercera línea está aquí."`.
* Es posible establecer una fecha y hora definidas asociadas con el comentario usando el `fechaCreacion` atributo en formato ISO8601.

La solicitud de ejemplo se puede encontrar abajo:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutación BatchAddNoteComments {
  addNoteComments(input:{
    comentarios: [
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        texto: "El 4.º comentario de varios.",
        createdDate: "2020-08-25T06:06:06.000Z"
      }, 
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        texto: "El 5.º comentario de varios.\\nLa segunda línea del comentario.",
        fechaCreacion: "2020-08-25T06:06:07.000Z"
      }
    ]
  }) {
    uuid
    fieldUuid
    noteUuid
    fechaCreacion
    updatedDate
    texto
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/notas-pines/36.-mutacion-anadir-multiples-comments-a-las-notes-seleccionadas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
